### Method

# WebKit2 CookieManager get_domains_with_cookies_finish

#### Declaration [src]

    gchar**
    webkit_cookie_manager_get_domains_with_cookies_finish (
      WebKitCookieManager* cookie_manager,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_cookie_manager_get_domains_with_cookies().

The return value is a `NULL` terminated list of strings which should be released with g_strfreev().

Deprecated since: | 2.16
Use `webkit_website_data_manager_fetch_finish()` instead.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `utf8`
| A `NULL` terminated array of domain names or `NULL` in case of error.
| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.